- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions
AlterableDigraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseDigraphComponent>
class lemon::concepts::AlterableDigraphComponent< BAS >

This class describes the interface of alterable directed graphs. It extends BaseDigraphComponent with the alteration notifier interface. It implements an observer-notifier pattern for each digraph item. More obsevers can be registered into the notifier and whenever an alteration occured in the digraph all the observers will be notified about it.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for AlterableDigraphComponent< BAS >:
[legend]

## Public Types
typedef AlterationNotifier < AlterableDigraphComponent, Node > | NodeNotifier
| Node alteration notifier class.
typedef AlterationNotifier < AlterableDigraphComponent, Arc > | ArcNotifier
| Arc alteration notifier class.

## Public Member Functions
NodeNotifier & | notifier (Node) const
| Return the node alteration notifier. More...
ArcNotifier & | notifier (Arc) const
| Return the arc alteration notifier. More...

## Member Function Documentation

NodeNotifier& notifier | ( | Node |  | ) | const
| inline

This function gives back the node alteration notifier.

ArcNotifier& notifier | ( | Arc |  | ) | const
| inline

This function gives back the arc alteration notifier.